1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

RT31P2 latest firmwares are incompatible w some ADSL modes?

Discussion in 'Other Linksys Equipment' started by bernat, Feb 1, 2006.

  1. bernat

    bernat Network Guru Member

    I bought a month ago a RT31P2-NA. It worked well until I updated the firmware to the latest: 1.30.3 which is downloadable from ftp://ftp.linksys.com/international/firmware/ . The update was succesful.
    So after the update the router connects and after a few seconds (1-10sec) it disconnects. And the router is on keep alive, so it reconnects. And it plays it always: connect-disconnect&reconnect.
    And I tried 1.28, 1.29 (from the Hungarian wholesaler, VoIP provider) and 1.30.3 & 1.30.4b (from the linksys ftp).
    I even tried with a different ISP (in a different organization), and so on.
    But I am sure that the new firmware is the problem, because previously worked well. (Who would have known that the new won't work...)

    So my question is: Is there anyone who could send me a firmware before 1.28 for RT31P2-NA?

    Please help me!

    The whole firm is without internet. The Hungarian wholesaler doesn't have older firmware that 1.29. Linksys doesn't want to send me an older.

    Best regards,

  2. mazilo

    mazilo Network Guru Member

    Why not try to factory reset your router and see if the problem persists? If so, reflash with the same firmware again to see if this will resolve the problem.
  3. bernat

    bernat Network Guru Member

    RP312 incompatibility

    I already tried to reset and it makes the same. connect-dosconnect-reconnect...
    I know, that only the old 1.20 (or like that) firmware can help...

  4. mazilo

    mazilo Network Guru Member

    Try the following to grab a copy of RT31P2_v1.27.01_000_combin_code.bin firmware from Vonage:
    tftp -i tftp.vonage.net get RT31P2_v1.27.01_000_combin_code.bin      or
    tftp -i tftp.vonage.net get RT31P2_v1.26.01_000_combin_code.bin
  5. bernat

    bernat Network Guru Member

    Dear Mazilo,

    Thank you for your help, but I have one question before "downgrade": I used until this time RT31P2_NA firmware. If I use the non "NA" version, the version of Vonage, I won't use anymore my own VoIP provider. Am I right?
    Thank you for your help!
  6. mazilo

    mazilo Network Guru Member

    AFAIK, Linksys only makes and releases one firmware for for each VoIP device even with different sub-model. For instance, there is only a single PAP2 firmware for each PAP2, PAP2-NA, PAP2-UK, PAP2-VD, etc. You have other RT31P2_NA firmware handy that you can use to reflash your RT31P2-NA device should the v1.27 RT31P2 firmware turn out to be a non-NA.

    Let's know you make out with this v1.27 firmware on your RT31P2-NA device.
  7. bernat

    bernat Network Guru Member

    Vonage 1.26&1.27 firmware doesn't work

    I started the upgrade (only my PC was connected to the router) and after 3 or 4 seconds I got "Upgrade action is not completed!! Upgrade file pattern error".

    I already read about this symptom here:

    And here they are writing about to upgrade a non NA with a NA firmware. Because the difference the upgrade can't perform. But as I see you wrote to this topic.
    So I need old (~1.20) NA firmware. I wrote also to the mentioned VoIP providers, but didn't receive answer.
  8. mazilo

    mazilo Network Guru Member

    So, this looks like there are at least two versions of RT31P2 firmware for each release.

    BTW, how did you factory reset your RT31P2? Did you hold down the reset pin for more than 30 seconds?

Share This Page